Subject: Re: cygstart, mutt or mailcap?
From: Ajay Simha <[email-masked]>
To: [email-masked]
Cc: Ajay Simha <[email-masked]>
Date: Wed, 26 Feb 2003 16:01:40 -0500

..snip....
> > > Ajay,
> > >
> > > Does it fail in the same way if you use the rule I proposed?  Does
> > > /tmp/blah.doc remain behind?  What is the timestamp on it?  Can you
> > > compare it to the saved version (which does work)?
> > >
> > > It makes a lot of sense, with the rule I proposed, that the document would
> > > get corrupted if you try to open a second Word doc -- since I'm using a
> > > constant filename, the second Word doc overwrites the first...  I assume
> > > it doesn't actually get corrupted on any other occasion with that rule...
> > >
> > > So here are a couple of other proposals for the .doc rule:
> > >
> > > Application/MSWORD;      cp %s /tmp/mutt-%s.doc && cygstart /tmp/mutt-%s.doc; copiousoutput;
> >
> > BTW the above line in mailcap stops after the copy to /tmp. Cygstart never runs.
> >
> > -ajay
> > >
> > > This should make sure the filenames are distinct for every Word document
> > > you review...
> > >
> > > Application/MSWORD;      cygstart %s && sleep 15; copiousoutput;
> > >
> > > This should give Word enough time to start...
> > >
> > > Let me know if either of them works.
> > >       Igor
> 
> Hmm, I may be a bit confused about the .mailcap format.  You may need to
> quote the '&&'.  You may also need to invoke the shell to process it, e.g.,

tried both same result. However, I had tried to wrap this into a shell where I copied the
file to a different filename and launched it, I seemed to have the same result.

-ajay
> 
> Application/MSWORD;      /bin/sh -c "cp %s /tmp/mutt-%s.doc && cygstart /tmp/mutt-%s.doc"; copiousoutput;
> 
> and
> 
> Application/MSWORD;      /bin/sh -c "cygstart %s && sleep 15"; copiousoutput;
> 
> The idea is to run 2 commands in sequence.
> 	Igor
> -- 
> 				http://cs.nyu.edu/~pechtcha/
>       |\      _,,,---,,_		[email-masked]
> ZZZzz /,`.-'`'    -.  ;-;;,_		[email-masked]
>      |,4-  ) )-,_. ,\ (  `'-'		Igor Pechtchanski
>     '---''(_/--'  `-'\_) fL	a.k.a JaguaR-R-R-r-r-r-.-.-.  Meow!
> 
> Oh, boy, virtual memory! Now I'm gonna make myself a really *big* RAMdisk!
>   -- /usr/games/fortune
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/